<?php
/**
* Reef Highlighted posts
*
* @since Reef 0.1
*/
function reef_highlighted_posts(){

	if( ! reef_get_option( 'disable_highlighted_posts' ) ){
		$post_ids = array();

		for( $i = 1; $i <= 3; $i++ ){
			 $post_id = absint( reef_get_option( 'highlighted_post_' . $i ) );
			if( $post_id ){
				array_push( $post_ids, $post_id );
			}
		}
		if( count( $post_ids ) > 0 ){

			$query = new WP_Query( apply_filters( 'reef_highlighted_query_args', array(
                'post__in'    => $post_ids,
                // 'post_type'   => 'post',
                'orderby'     => 'post__in',
                'post_status' => 'publish',
                'posts_per_page' => -1
    		) ) ); ?>
			<!-- recent news section -->
			<section class="wrapper block-highlight-post">
				<?php
				while( $query->have_posts() ){
		    		$query->the_post(); ?>
					<div class="col-xs-12 col-sm-4 pad0lr">
						<!-- highligh post item -->
						<section class="post-content-overlay highlight-post-outer">
							<?php
						    reef_post_thumbnail( array(
						        'size' => 'reef-highlight',
						        'show_eye' => false
						    ) ); ?>
						    <article <?php post_class( array( 'post-content', 'highlight-post-item' ) ); ?>>
						        <div class="post-content-inner">
						        	<?php 
					        		reef_entry_header();
					        		reef_entry_footer();
						        	?>
						        </div>
						    </article>
						</section>
					</div>
					<?php
				}
				wp_reset_postdata(); ?>
			</section>
			<!-- end recent news section -->
			<?php
		}
	}
}

add_action( 'reef_home_highlighted_posts', 'reef_highlighted_posts' );

