<?php
/**
* Generates default options for customizer.
*
* @since  Reef 0.1
* @access public
* @param  array $options 
* @return array
*/
	
function reef_default_options( $options ){

	$defaults = array(
		# Site identiry
		'show_title'         	   => true,
		'site_title'         	   => esc_html__( 'Reef', 'reef' ),
		'site_title_color'   	   => '#2e2e2e',
		'show_tagline'       	   => true,
		'site_tagline'       	   => esc_html__( 'A COMPLETE BLOGGING THEME', 'reef' ),
		'site_tagline_color' 	   => '#999999',

		# Primary color
		'site_primary_color' 	   => '#d4a54f',

		# Slider
		'slider_control'     	   => true,
		'slider_post_option' 	   => 'banner',
		'slider_timeout'     	   => 5,
		'slider_autoplay'          => true,

		# Theme Option
		'enable_full_background'         => false,
		'disable_search_icon'            => false,
		'enable_alt_menu'                => true,
		'enable_scroll_top_in_mobile'    => false,
		'enable_sticky_sidebar'          => true,
		'disable_sidebar_in_single_page' => false
	);

	return array_merge( $options, $defaults );
}
add_filter( 'reef_customizer_defaults', 'reef_default_options' );