<?php
/**
 * Template Name: Service
 *
 * @since Reef 0.1
 */
get_header(); 
reef_inner_banner();
/**
* Prints out the default page content markup
*
* @since Reef 0.1
* @hooked reef_render_compact_page_content - 10
*/
do_action( 'reef_page_compact_content' );
?>
<section class="wrapper block-service">
	<div class="icon-section">
		<div class="icon-group">
		<?php
		$posts_in = array();
		$sub_services = array( 'service_item_1' , 'service_item_2', 'service_item_3' );
		
		foreach( $sub_services as $id ){
			$post_id = absint( reef_get_option( $id ) );
			if( $post_id > 0 ){
				$posts_in[] = $post_id;
			}
		}

		if( count( $posts_in ) > 0 ):

			$query_args = apply_filters( 'services_query_args', array(
				'post_type'   		  => 'page',
				'post__in'    		  => $posts_in,
				'post_status' 		  => 'publish',
				'orderby'     		  => 'post__in',
				'ignore_sticky_posts' => 1,
				'posts_per_page'      => -1
			) );

			$query = new WP_Query( $query_args );

			while( $query -> have_posts() ):
				$query->the_post();
		?>
				<div class="col-xs-12 col-sm-12 col-md-4 icon-item">
					<div class="icon-item-inner">
						<div class="icon-thumb">
							<a href="<?php the_permalink(); ?>">
								<?php 
								if(  '' !== get_the_post_thumbnail() )
						    		the_post_thumbnail( 'thumbnail' );
						    	else{
						    		?>
						    		<img src="<?php echo esc_url( reef_get_dummy_image( array(
						    			'size' => 'thumbnail',
						    		) ) ); ?>" >
						    		<?php
						    	}
							    ?>
						    </a>
						</div>
						<?php 
						the_title( '<h3><a href="'.esc_url( get_permalink() ).'">', '</a>'.reef_edit_link( false ).'</h3>' );
						reef_excerpt( 25 ); 
						?>
						<a href="<?php the_permalink(); ?>" class="button-text">
							<?php echo esc_html__('Continue Reading', 'reef'); ?>
						</a>
					</div>
				</div>
			<?php
				endwhile;
				wp_reset_postdata();
		endif; 
	 	?>
		</div>
	</div>
</section>
<?php
get_footer();